summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2012-01-30 02:47:48 +0100
committerDan McGee <dan@archlinux.org>2012-01-31 04:18:28 +0100
commit7ff1b945f6c8b2286f04626be39291a7527119f4 (patch)
treed7713a61913298c8e06bc8e34a1cdfcb5eeb7500
parent825b4ff35aa676b139dc24bc651724b092f2fded (diff)
downloadpacman-7ff1b945f6c8b2286f04626be39291a7527119f4.tar.gz
pacman-7ff1b945f6c8b2286f04626be39291a7527119f4.tar.xz
makepkg: workaround for zipman issues
This "fixes" two issues: 1) MAN_DIRS contains a glob by default so should not be quoted. It is not quoted anywhere else so this should not cause breakage... 2) the find statement returns 1 when some of MAN_DIRS are missing. This appears to only be exposed when running makepkg as root (which it appears some wrappers do...). Signed-off-by: Allan McRae <allan@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
-rw-r--r--scripts/makepkg.sh.in3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 89045ac9..96589dd1 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -999,7 +999,8 @@ tidy_install() {
# the '|| true' part keeps the script from bailing on the EOF returned
# by read at the end of the find output
IFS=$'\n' read -rd '' -a hardlinks < \
- <(find "${MAN_DIRS[@]}" \! -name "$file" -samefile "$manpage" 2>/dev/null) || true
+ <(find ${MAN_DIRS[@]} \! -name "$file" -samefile "$manpage" \
+ 2>/dev/null || true) || true
rm -f "${hardlinks[@]}"
# compress the original
gzip -9 "$manpage"